Page 1 of 1

Firefox Extension Brief Completely Broken

Posted: Tue, 24 Apr 2018, 22:42
by pintorama
https://addons.mozilla.org/en-US/firefox/addon/brief/ no longer functions and none of the previous versions on the Brief site will work either. I know you guys are doing your best so there is no anger in what I will write in the next sentence. "Brief" is an essential extension for me, so I am going to have to leave Basilisk until this is resolved.

Re: Firefox Extension Brief Completely Broken

Posted: Wed, 25 Apr 2018, 04:36
by New Tobin Paradigm
Well it isn't going to be resolved by us because we didn't break the extension.. Extensions have to be compatible with the application NOT vice versa no matter what the application GUID is. Contact the developer of the extension.. Or fix it yourself. If you are still going to leave.. Chances are we won't see you again until you run out of options. Bye!

Re: Firefox Extension Brief Completely Broken

Posted: Wed, 25 Apr 2018, 10:07
by JustOff
What version of Brief worked well with the previous Basilisk build?

Re: Firefox Extension Brief Completely Broken

Posted: Wed, 25 Apr 2018, 16:48
by pintorama
JustOff, Thanks you for a kinder response and one in the keeping with my post. It's interesting, if you go to the Brief page (https://addons.mozilla.org/en-US/firefo ... /versions/) you can see that three versions should be supported, 2.4 (what I have been using and is working in ESR and was working in Basilisk), 2.3 and 2.22. And all versions seem to install. However, none of them actually function in the reforked Basilisk. Again, thanks for taking the time to read and try to help.

Re: Firefox Extension Brief Completely Broken

Posted: Wed, 25 Apr 2018, 17:08
by JustOff
Please, don't be mad on this. Basilisk 2018.04.23 is a huge rebase of the UXP platform, so the issues can be caused by either browser errors or real incompatibilities. And although in general the task of solving such problems lies on the add-on developers, we should first deal with all possible platform issues. Just be patient enough.

Re: Firefox Extension Brief Completely Broken

Posted: Wed, 25 Apr 2018, 17:32
by pintorama
JustOff, I possess zero anger at either you or the fact the extension does not function with the new version of Basilisk. I stated this in my first post. I will be patient, as I believe you are the future for the "old" Firefox. That said, I do have to use ESR as my main browser now because this extension is, in fact, essential, to me. Again thanks.

Re: Firefox Extension Brief Completely Broken

Posted: Sun, 29 Apr 2018, 04:00
by pintorama
The add-on "Brief", version 2.4 (the last old Firefox version of the add-on), is now, once again, functioning with the new version of Basilisk. Thanks.